/*
    This sketch sends data via HTTP GET requests to data.sparkfun.com service.

    You need to get streamId and privateKey at data.sparkfun.com and paste them
    below. Or just customize this script to talk to other HTTP servers.

*/

#include <ESP8266WiFi.h>
#include <ArduinoJson.h>

const char* MY_SSID = "ante";
const char* MY_PWD =  "mamakukunka";

WiFiClient client;

const char* server = "spvp.anteo.me";



void setup() {
  Serial.begin(115200);
  Serial.print("Connecting to " + *MY_SSID);
  WiFi.begin(MY_SSID, MY_PWD);
  Serial.println("going into wl connect");

  while (WiFi.status() != WL_CONNECTED) //not connected,  ...waiting to connect
  {
    delay(1000);
    Serial.print(".");
  }
  Serial.println("wl connected");
  Serial.println("");
  Serial.println("Credentials accepted! Connected to wifi\n ");
  Serial.println("");
}

int value = 0;
String podatak = "";
bool validan = false;
bool gotov = false;
char incomingByte;

void loop() {
  if (Serial.available() > 0) {
    // read the incoming byte:
    incomingByte = Serial.read();
    if ( incomingByte == '^') {
      validan = true;
    } else if ( incomingByte == '$') {
      validan = false;
      gotov = true;
    }
    if ( validan == true ) {
      podatak += incomingByte;
    }
  }
  if ( gotov == true ) {
    //Serial.println(podatak.substring(1));
    cepaj(podatak.substring(1));
    podatak = "";
    gotov = false;
  }

}

String data;
String staraPoruka = "";
String toWeb[7] = "";
int cepaj(String input) {
  int pocetak = 0;
  int kraj = 0;
  for ( int i = 0; i <= 6; i++) {
    pocetak = input.indexOf("&", kraj);
    kraj = input.indexOf("&", pocetak + 1);
    toWeb[i] = input.substring(pocetak + 1, kraj);
    //Serial.println((String) i + "--" + toWeb[i]);
  }
  {
  StaticJsonBuffer<1000> jsonBuffer;
  JsonObject& root = jsonBuffer.createObject();
  
  root["created_at"] = toWeb[0];
  root["temperature"] = toWeb[3];
  root["moisture"] = toWeb[4];
  root["pressure"] = toWeb[5];
  root["brightness"] = toWeb[2];
  root["noise"] = toWeb[1];
  if (toWeb[6].length() != 0 ) {
    root["message"] = toWeb[6];
    staraPoruka = toWeb[6];
  } else {
    root["message"] = staraPoruka;
  }
  
  data = "";
  root.prettyPrintTo(data);
  }
  //Serial.println(data);
  return salji(data);
}


int salji(String data) {
  Serial.println("\nStarting connection to server...");
  // if you get a connection, report back via serial:
  if (client.connect(server, 80)) {
    Serial.println("connected to server");
    //WiFi.printDiag(Serial);

    delay(100);
    //Serial.println("Ušao u šalji");
    Serial.println(data);


    client.println("POST /logs HTTP/1.1"); //change this if using your Sub-domain
    client.println("Host: spvp.anteo.me");                 //change this if using your Domain
    client.println("Content-Type: application/json");
    client.println("X-Auth-Token: 4d6066ebae5dd8bce9a5b0b9b81d5a157893f8ea655");
    client.print("Content-Length: ");
    client.print(data.length());
    client.print("\n\n");
    client.print(data);
    uint8_t response[100];
    delay(1000);
    client.read(response, 99);
    String stri = (char*)response;
    if(stri.startsWith("HTTP/1.1 201 Created"))
      Serial.println("Server je primio podatak");
    client.stop();
  }
  return 1;
}








